<?php
/**
 * The template for displaying 404 pages (not found)
 *
 */
get_header();

$ahe = new KeenarchHeaderElements;
$aps = new KeenarchPostSettings;
$template = 'page'; // template id
$aps->keenarch_set_post_template( $template );
$template_class = $aps->keenarch_template_content_class();
?>
<div class="wrap">
	<div id="primary" class="content-area error-404-area keenarch-page">
		<main id="main" class="site-main">
		
			<?php $ahe->keenarch_page_title( $template ); ?>
		
			<section class="error-404 not-found text-center">
				<div class="container">
					<header class="page-header">
						
						<div class="image-wrap-404">
							<img src="<?php echo esc_url( KEENARCH_ASSETS . '/images/404.png' ); ?>">
							
						</div>	
						
						<div class="relative mb-2">
							<h3 class="page-title"><?php esc_html_e( 'Page Not Found', 'keenarch' ); ?></h3>
						</div>
						<?php 
							$home_url = home_url( '/' ); 
						?>
							<p class="error-description">
								<?php esc_html_e( 'Sorry we cannot find that page!', 'keenarch' ); ?>
								<?php esc_html_e( 'Go back to home', 'keenarch' ); ?>
							</p>							
							<a class="home-link" href="<?php echo esc_url( $home_url ); ?>">
								<?php esc_html_e( 'Home Page', 'keenarch' ); ?>
							</a>
					</header><!-- .page-header -->
				</div><!-- .container -->
			</section><!-- .error-404 -->
		</main><!-- #main -->
	</div><!-- #primary -->
</div><!-- .wrap -->
<?php get_footer();