<?php

//Theme Option -> General
$theme_general_panel = new Keenarch_WP_Customize_Panel( $wp_customize, 'theme_general_panel', array(
	'title'			=> esc_html__( 'General', 'keenarch' ),
	'description'	=> esc_html__( 'These are the general settings of Keenarch theme', 'keenarch' ),
	'priority'		=> 1,
	'panel'			=> 'keenarch_theme_panel'
));
$wp_customize->add_panel( $theme_general_panel );

//General -> Layout
$keenarch_layout_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_layout_section', array(
	'title'			=> esc_html__( 'Layout', 'keenarch' ),
	'description'	=> esc_html__( 'This is the setting for theme layouts', 'keenarch' ),
	'priority'		=> 1,
	'panel'			=> 'theme_general_panel'
));
$wp_customize->add_section( $keenarch_layout_section );

//Layout
$wp_customize->add_setting('ajax_trigger_keenarch_layout_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_layout_section', array(
	'section'		=> 'keenarch_layout_section'
)));

//General -> Loaders
$keenarch_loader_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_loader_section', array(
	'title'			=> esc_html__('Loaders', 'keenarch'),
	'description'	=> esc_html__( 'This is the setting for theme loader images.', 'keenarch' ),
	'priority'		=> 2,
	'panel'			=> 'theme_general_panel'
));
$wp_customize->add_section( $keenarch_loader_section );

//Loaders
$wp_customize->add_setting('ajax_trigger_keenarch_loader_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_loader_section', array(
	'section'		=> 'keenarch_loader_section'
)));

//General -> Theme Logo
$keenarch_logo_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_logo_section', array(
	'title'			=> esc_html__('Site Logo\'s', 'keenarch'),
	'description'	=> esc_html__( 'This is the setting for all the site logo\'s.', 'keenarch' ),
	'priority'		=> 3,
	'panel'			=> 'theme_general_panel'
));
$wp_customize->add_section( $keenarch_logo_section );

//Theme Logo
$wp_customize->add_setting('ajax_trigger_keenarch_logo_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_logo_section', array(
	'section'		=> 'keenarch_logo_section'
)));

//General -> API's
$keenarch_api_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_api_section', array(
	'title'			=> esc_html__('API', 'keenarch'),
	'description'	=> esc_html__( 'This is the setting for all the api\'s where used in this site.', 'keenarch' ),
	'priority'		=> 4,
	'panel'			=> 'theme_general_panel'
));
$wp_customize->add_section( $keenarch_api_section );

//API's
$wp_customize->add_setting('ajax_trigger_keenarch_api_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_api_section', array(
	'section'		=> 'keenarch_api_section'
)));

//General -> Comments
$keenarch_comments_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_comments_section', array(
	'title'			=> esc_html__('Comments', 'keenarch'),
	'description'	=> esc_html__( 'This is the setting for comments.', 'keenarch' ),
	'priority'		=> 5,
	'panel'			=> 'theme_general_panel'
));
$wp_customize->add_section( $keenarch_comments_section );

//Comments
$wp_customize->add_setting('ajax_trigger_keenarch_comments_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_comments_section', array(
	'section'		=> 'keenarch_comments_section'
)));

//General -> Smooth Scroll
$keenarch_smooth_scroll_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_smooth_scroll_section', array(
	'title'			=> esc_html__('Smooth Scroll', 'keenarch'),
	'description'	=> esc_html__( 'This is the setting for page smooth scroll.', 'keenarch' ),
	'priority'		=> 6,
	'panel'			=> 'theme_general_panel'
));
$wp_customize->add_section( $keenarch_smooth_scroll_section );

//Smooth Scroll
$wp_customize->add_setting('ajax_trigger_keenarch_smooth_scroll_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_smooth_scroll_section', array(
	'section'		=> 'keenarch_smooth_scroll_section'
)));

//General -> Media Settings
$keenarch_media_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_media_section', array(
	'title'			=> esc_html__('Media Settings', 'keenarch'),
	'description'	=> esc_html__( 'This is the setting for media sizes', 'keenarch' ),
	'priority'		=> 7,
	'panel'			=> 'theme_general_panel'
));
$wp_customize->add_section( $keenarch_media_section );

//Media Settings
$wp_customize->add_setting('ajax_trigger_keenarch_media_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_media_section', array(
	'section'		=> 'keenarch_media_section'
)));

//General -> RTL
$keenarch_rtl_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_rtl_section', array(
	'title'			=> esc_html__('RTL', 'keenarch'),
	'description'	=> esc_html__( 'This is the setting for theme view RTL', 'keenarch' ),
	'priority'		=> 8,
	'panel'			=> 'theme_general_panel'
));
$wp_customize->add_section( $keenarch_rtl_section );

//RTL
$wp_customize->add_setting('ajax_trigger_keenarch_rtl_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_rtl_section', array(
	'section'		=> 'keenarch_rtl_section'
)));