<?php

//Theme Option -> Import and Export
$theme_import_export_panel = new Keenarch_WP_Customize_Panel( $wp_customize, 'theme_import_export_panel', array(
	'title'			=> esc_html__( 'Import and Export', 'keenarch' ),
	'description'	=> esc_html__( 'This is the setting for import or export of current site theme options.', 'keenarch' ),
	'priority'		=> 14,
	'panel'			=> 'keenarch_theme_panel'
));
$wp_customize->add_panel( $theme_import_export_panel );

//Import and Export -> Import
$keenarch_import_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_import_section', array(
	'title'			=> esc_html__( 'Import', 'keenarch' ),
	'description'	=> esc_html__( 'This is the import setting for current theme option values.', 'keenarch' ),
	'priority'		=> 1,
	'panel'			=> 'theme_import_export_panel'
));
$wp_customize->add_section( $keenarch_import_section );

//Import
$wp_customize->add_setting('ajax_trigger_keenarch_import_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_import_section', array(
	'section'		=> 'keenarch_import_section'
)));

//Import and Export -> Export
$keenarch_export_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_export_section', array(
	'title'			=> esc_html__( 'Export', 'keenarch' ),
	'description'	=> esc_html__( 'This is the export setting for current theme option values.', 'keenarch' ),
	'priority'		=> 2,
	'panel'			=> 'theme_import_export_panel'
));
$wp_customize->add_section( $keenarch_export_section );

//Export
$wp_customize->add_setting('ajax_trigger_keenarch_export_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_export_section', array(
	'section'		=> 'keenarch_export_section'
)));