<?php

//Theme Option -> Theme Template
$theme_template_panel = new Keenarch_WP_Customize_Panel( $wp_customize, 'theme_template_panel', array(
	'title'			=> esc_html__( 'Theme Template', 'keenarch' ),
	'description'	=> esc_html__( 'These is the template settings for page.', 'keenarch' ),
	'priority'		=> 7,
	'panel'			=> 'keenarch_theme_panel'
));
$wp_customize->add_panel( $theme_template_panel );

//Theme Template -> Template General
$keenarch_general_template_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_general_template_section', array(
	'title'			=> esc_html__( 'Template General', 'keenarch' ),
	'description'	=> esc_html__( 'This is the setting for template general.', 'keenarch' ),
	'priority'		=> 1,
	'panel'			=> 'theme_template_panel'
));
$wp_customize->add_section( $keenarch_general_template_section );

//Template General
$wp_customize->add_setting('ajax_trigger_keenarch_general_template_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_general_template_section', array(
	'section'		=> 'keenarch_general_template_section'
)));

//Theme Template -> Page Template
$keenarch_page_template_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_page_template_section', array(
	'title'			=> esc_html__( 'Page Template', 'keenarch' ),
	'description'	=> esc_html__( 'This is the setting for page template.', 'keenarch' ),
	'priority'		=> 2,
	'panel'			=> 'theme_template_panel'
));
$wp_customize->add_section( $keenarch_page_template_section );

//Page Template
$wp_customize->add_setting('ajax_trigger_keenarch_page_template_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_page_template_section', array(
	'section'		=> 'keenarch_page_template_section'
)));

//Theme Template -> Blog Template
$keenarch_blog_template_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_blog_template_section', array(
	'title'			=> esc_html__( 'Blog Template', 'keenarch' ),
	'description'	=> esc_html__( 'This is the setting for blog template.', 'keenarch' ),
	'priority'		=> 3,
	'panel'			=> 'theme_template_panel'
));
$wp_customize->add_section( $keenarch_blog_template_section );

//Blog Template
$wp_customize->add_setting('ajax_trigger_keenarch_blog_template_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_blog_template_section', array(
	'section'		=> 'keenarch_blog_template_section'
)));

//Theme Template -> Archive Template
$keenarch_archive_template_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_archive_template_section', array(
	'title'			=> esc_html__( 'Archive Template', 'keenarch' ),
	'description'	=> esc_html__( 'This is the setting for archive template.', 'keenarch' ),
	'priority'		=> 4,
	'panel'			=> 'theme_template_panel'
));
$wp_customize->add_section( $keenarch_archive_template_section );

//Archive Template
$wp_customize->add_setting('ajax_trigger_keenarch_archive_template_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_archive_template_section', array(
	'section'		=> 'keenarch_archive_template_section'
)));

//Theme Template -> Single Post Template
$keenarch_single_post_template_section = new Keenarch_WP_Customize_Section( $wp_customize, 'keenarch_single_post_template_section', array(
	'title'			=> esc_html__( 'Single Post Template', 'keenarch' ),
	'description'	=> esc_html__( 'This is the setting for single post template.', 'keenarch' ),
	'priority'		=> 9,
	'panel'			=> 'theme_template_panel'
));
$wp_customize->add_section( $keenarch_single_post_template_section );

//Single Post Template
$wp_customize->add_setting('ajax_trigger_keenarch_single_post_template_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_keenarch_single_post_template_section', array(
	'section'		=> 'keenarch_single_post_template_section'
)));