<?php
/*
 * The header for keenarch theme
 */
$ahe = new KeenarchHeaderElements;
$protocal = is_ssl() ? 'https' : 'http';

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="<?php echo esc_attr( $protocal ); ?>://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<?php
	$smooth_scroll = KeenarchThemeOpt::keenarch_static_theme_mod('smooth-opt');
	$scroll_time = $scroll_dist = '';
	if( $smooth_scroll ){
		$scroll_time = KeenarchThemeOpt::keenarch_static_theme_mod('scroll-time');
		$scroll_dist = KeenarchThemeOpt::keenarch_static_theme_mod('scroll-distance');
	}
	
	$res_from = KeenarchThemeOpt::keenarch_static_theme_mod('mobile-header-from');
	$res_width = $res_from == 'c' ? KeenarchThemeOpt::keenarch_static_theme_mod('mobile-header-from-custom') : $res_from;
	$res_width = $res_width ? absint( $res_width ) : 360;

	$keenarch_body_atts = array(
		'scroll_time' => $scroll_time,
		'scroll_dist' => $scroll_dist,
		'res_width' => $res_width,
	);
	
	if( is_page() ){
		$menu_offset = get_post_meta( get_the_ID(), 'keenarch_page_one_page_menu_offset', true );
		$keenarch_body_atts['menu_offset'] = $menu_offset ? $menu_offset : 60;
		$mobile_menu_offset = get_post_meta( get_the_ID(), 'keenarch_page_one_page_mobmenu_offset', true );
		$keenarch_body_atts['mobile_menu_offset'] = $mobile_menu_offset ? $mobile_menu_offset : 60;
	}
	
	/*
	 * Sttaic Template Options - keenarch_demo_header - 10
	 */
	do_action('keenarch_before_body_action');
	
	$core_stat = !class_exists( 'KeenarchFamework' ) ? true : false;
?>
<body <?php body_class(); ?> data-keenarch="<?php echo htmlspecialchars( json_encode( $keenarch_body_atts ), ENT_QUOTES, 'UTF-8' ); ?>" data-corestat="<?php echo esc_attr( $core_stat ); ?>">
<?php wp_body_open(); ?>
<?php if( $ahe->keenarch_page_loader() ) : ?>
	<div class="page-loader"></div>
<?php endif; ?>
<?php
	/*
	 * Mobile Header - keenarch_mobile_header - 10
	 * Mobile Bar - keenarch_mobile_bar - 20
	 * Secondary Menu Space - keenarch_header_secondary_space - 30
	 * Top Sliding Bar - keenarch_header_top_sliding - 40
	 */
	do_action('keenarch_body_action');
	
?>

<div id="page" class="keenarch-wrapper<?php $ahe->keenarch_theme_layout(); ?>">
	<?php $ahe->keenarch_header_slider('top'); ?>
	<header class="keenarch-header<?php $ahe->keenarch_header_layout(); ?>">
		
			<?php $ahe->keenarch_header_bar(); ?>
		
	</header>
	<div class="keenarch-content-wrapper">