<?php
/**
 * The template for displaying all custom post types
 */
 
get_header(); 
$ahe = new KeenarchHeaderElements;
$aps = new KeenarchPostSettings;
$post_type = get_post_type();
$template = str_replace( "keenarch-", "", $post_type ); // template id
$aps->keenarch_set_post_template( $template );
$template_class = $aps->keenarch_template_content_class();
$full_width_class = '';
$acpt = new KeenarchCPT;
?>
<div class="keenarch-content <?php echo esc_attr( 'keenarch-' . $template ); ?> keenarch-page">
		
		<?php $ahe->keenarch_header_slider('bottom'); ?>
		
		<?php $ahe->keenarch_page_title( 'page' ); ?>
		<div class="keenarch-content-inner">
			<div class="container">
	
				<div class="row">
					
					<div class="<?php echo esc_attr( $template_class['content_class'] ); ?>">
						<div id="primary" class="content-area">
							<?php
								$acpt->keenarch_cpt_call_template( $post_type );
							?>				
						</div><!-- #primary -->
					</div><!-- main col -->
					
					<?php if( $template_class['lsidebar_class'] != '' ) : ?>
					<div class="<?php echo esc_attr( $template_class['lsidebar_class'] ); ?>">
						<aside class="widget-area left-widget-area<?php echo esc_attr( $template_class['sticky_class'] ); ?>">
							<?php dynamic_sidebar( $template_class['left_sidebar'] ); ?>
						</aside>
					</div><!-- sidebar col -->
					<?php endif; ?>
					
					<?php if( $template_class['rsidebar_class'] != '' ) : ?>
					<div class="<?php echo esc_attr( $template_class['rsidebar_class'] ); ?>">
						<aside class="widget-area right-widget-area<?php echo esc_attr( $template_class['sticky_class'] ); ?>">
							<?php dynamic_sidebar( $template_class['right_sidebar'] ); ?>
						</aside>
					</div><!-- sidebar col -->
					<?php endif; ?>
					
				</div><!-- row -->
			
		</div><!-- .container -->
	</div><!-- .keenarch-content-inner -->
</div><!-- .keenarch-content -->
<?php get_footer();